Index: trunk/source/Lib/TLibRenderer/TRenSingleModel.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenSingleModel.h	(revision 210)
+++ trunk/source/Lib/TLibRenderer/TRenSingleModel.h	(revision 608)
@@ -32,5 +32,5 @@
  */
 
-#if !QC_MVHEVC_B0046
+
 #ifndef __TRENSINGLEMODEL__ 
 #define __TRENSINGLEMODEL__
@@ -51,9 +51,8 @@
 #include <cstring>
 
-
+#if H_3D_VSO
 using namespace std;
 
-
-#if HHI_VSO_RM_ASSERTIONS
+#if H_3D_VSO_RM_ASSERTIONS
 #define RM_AOT( exp ) AOT ( exp )
 #define RM_AOF( exp ) AOF ( exp )
@@ -70,5 +69,5 @@
 
   virtual ~TRenSingleModel() { }  
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   virtual Void   create    ( Int iMode, Int iWidth, Int iHeight, Int iShiftPrec, Int*** aaaiSubPelShiftTable, Int iHoleMargin, Bool bUseOrgRef, Int iBlendMode, Bool bEarlySkip ) = 0;
 #else
@@ -82,5 +81,5 @@
 
   // Set Data
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   virtual Void   setDepth  ( Int iViewPos,                 Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData, Pel* piOrgData, Int iOrgStride )  = 0;
 #else
@@ -90,5 +89,5 @@
 
   // Get Distortion
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   virtual RMDist getDistDepth  ( Int iViewPos,             Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData, Pel * piOrgData , Int iOrgStride)=0;
 #else
@@ -109,5 +108,5 @@
     // video
     Pel aiY[5]    ; // y-value
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     Pel aiU[5]    ; // u-value
     Pel aiV[5]    ; // v-value
@@ -126,5 +125,5 @@
     Pel iYRight   ; 
     Pel iYBlended ; 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     Pel iULeft    ; 
     Pel iURight   ; 
@@ -148,5 +147,5 @@
     // reference
     Pel iYRef    ; 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     Pel iURef    ; 
     Pel iVRef    ; 
@@ -161,5 +160,5 @@
 
   // Create Model
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   Void   create    ( Int iMode, Int iWidth, Int iHeight, Int iShiftPrec, Int*** aaaiSubPelShiftTable, Int iHoleMargin, Bool bUseOrgRef, Int iBlendMode, Bool bEarlySkip  );
 #else
@@ -172,5 +171,5 @@
   Void   setup     ( TComPicYuv* pcOrgVideo, Int** ppiShiftLutLeft, Int** ppiBaseShiftLutLeft, Int** ppiShiftLutRight,  Int** ppiBaseShiftLutRight,  Int iDistToLeft, Bool bKeepReference );
 
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   Void   setDepth  ( Int iViewPos,                 Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData, Pel* piOrgData, Int iOrgStride );
 #else
@@ -180,5 +179,5 @@
 
   // Get Distortion
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   RMDist getDistDepth  ( Int iViewPos,             Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData, Pel * piOrgData , Int iOrgStride);
 #else
@@ -198,5 +197,5 @@
   /////  Rendering /////
   // Left to Right
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
                       __inline Bool   xDetectEarlySkipL   ( Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData,Pel* piOrgData, Int iOrgStride );
                       __inline Bool   xDetectEarlySkipR   ( Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData,Pel* piOrgData, Int iOrgStride );
@@ -229,5 +228,5 @@
   template<Bool bSet> __inline Void   xSetShiftedPelBlend ( Int iSourcePos, Int iTargetSPos, Pel iFilled, RMDist& riError );
 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
   __inline Void   xGetBlendedValue    ( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV );
   __inline Void   xGetBlendedValueBM1 ( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV );
@@ -260,5 +259,5 @@
   __inline Void   xSetInts   ( Int*  piPelSource , Int iSourceStride, Int iWidth, Int iHeight, Int iVal );
 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
   Void            xGetSampleStrTextPtrs ( Int iViewNum, Pel RenModelOutPels::*& rpiSrcY, Pel RenModelOutPels::*& rpiSrcU, Pel RenModelOutPels::*& rpiSrcV );
 #else  
@@ -367,5 +366,5 @@
   Int   m_iShiftPrec;
   Int   m_iHoleMargin;
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   Bool  m_bEarlySkip; 
 #endif
@@ -385,10 +384,11 @@
 
   //// Early Skip 
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   Bool* m_pbHorSkip;
 #endif
 };
 
+#endif // H_3D
 #endif //__TRENSINGLEMODEL__
-#endif
-
+
+
